/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.api.test;

import com.crunii.micro.domain.entity.main.TsmEncryptTest;
import com.crunii.micro.service.sysmgr.service.FileService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Commit;

/**
 * @author 田平 create 2019年7月5日下午3:13:37
 */
public class FileServiceTest extends SysmgrBaseTest {

	@Autowired
	private FileService fileService;

	@Test
	@Commit
	public void testInsert() {
		TsmEncryptTest encrypt = new TsmEncryptTest();
		encrypt.setEncryptName("田平DDDDDDDDDDRRRRRRRR");
		fileService.doInsertEncrypt(encrypt);
	}

	//@Test
	//@Commit
	public void testUpdate() {
		TsmEncryptTest encrypt = fileService.getEncrypt(1);
		encrypt.setEncryptName("中国12RRRRRRRRRRRRRRRRR3123");
		fileService.doUpdateEncrypt(encrypt);
	}
}
